using System;
using System.Collections.Generic;
using System.Text;

namespace AddinExpress
{
    namespace AdvancedSearch
    {
        [Serializable]
        public class Node
        {
            private System.String innerText;
            private HtmlInfoTag htmlTag;
            private int position;
            private System.String toolTipText;

            public String InnerText
            {
                get
                {
                    return innerText;
                }
                set
                {
                    this.innerText = value;
                }
            }
            public String ToolTipText
            {
                get
                {
                    return toolTipText;
                }
                set
                {
                    this.toolTipText = value;
                }
            }
            public int Position
            {
                get
                {
                    return position;
                }
                set
                {
                    this.position = value;
                }
            }
            public HtmlInfoTag HtmlTag
            {
                get
                {
                    return htmlTag;
                }
                set
                {
                    this.htmlTag = value;
                }
            }

            public Node(string innerText, string toolTipText, int position, HtmlInfoTag htmlTag)
            {
                this.innerText = innerText;
                this.toolTipText = toolTipText;
                this.htmlTag = htmlTag;
                this.position = position;
            }
        }
    }
}
