Namespace AdvancedSearch
    <Serializable()> _
    Public Class GlobalSettings
        Private _backColor As System.Drawing.Color
        Private _textColor As System.Drawing.Color
        Private _bold As Boolean
        Private _italic As Boolean
        Private _highlightNonVisible As Boolean
        Private _shortcut As String

        Public Property BackgroundColor() As System.Drawing.Color
            Get
                Return Me._backColor
            End Get
            Set(ByVal value As System.Drawing.Color)
                Me._backColor = value
            End Set
        End Property
        Public Property TextColor() As System.Drawing.Color
            Get
                Return Me._textColor
            End Get
            Set(ByVal value As System.Drawing.Color)
                Me._textColor = value
            End Set
        End Property
        Public Property IsBold() As Boolean
            Get
                Return Me._bold
            End Get
            Set(ByVal value As Boolean)
                Me._bold = value
            End Set
        End Property
        Public Property IsItalic() As Boolean
            Get
                Return Me._italic
            End Get
            Set(ByVal value As Boolean)
                Me._italic = value
            End Set
        End Property
        Public Property IsHightlightNonVisible() As Boolean
            Get
                Return Me._highlightNonVisible
            End Get
            Set(ByVal value As Boolean)
                Me._highlightNonVisible = value
            End Set
        End Property
        Public Property Shortcut() As String
            Get
                Return Me._shortcut
            End Get
            Set(ByVal value As String)
                Me._shortcut = value
            End Set
        End Property

        Friend Sub New(ByVal backgroundColor As System.Drawing.Color, ByVal textColor As System.Drawing.Color, ByVal bold As Boolean, ByVal italic As Boolean, ByVal highlightNonVisible As Boolean, ByVal shortcut As String)
            Me._backColor = backgroundColor
            Me._textColor = textColor
            Me._bold = bold
            Me._italic = italic
            Me._highlightNonVisible = highlightNonVisible
            Me._shortcut = shortcut
        End Sub
    End Class
End Namespace
