using System;
using System.Collections.Generic;
using System.Text;

namespace AddinExpress
{
    namespace AdvancedSearch
    {
        [Serializable]
        public class GlobalSettings
        {
            private System.Drawing.Color backColor;
            private System.Drawing.Color textColor;
            private System.Boolean bold;
            private System.Boolean italic;
            private System.Boolean highlightNonVisible;
            private System.String shortcut;

            public System.Drawing.Color BackgroundColor
            {
                get
                {
                    return this.backColor;
                }
                set
                {
                    this.backColor = value;
                }
            }
            public System.Drawing.Color TextColor
            {
                get
                {
                    return this.textColor;
                }
                set
                {
                    this.textColor = value;
                }
            }
            public System.Boolean IsBold
            {
                get
                {
                    return this.bold;
                }
                set
                {
                    this.bold = value;
                }
            }
            public System.Boolean IsItalic
            {
                get
                {
                    return this.italic;
                }
                set
                {
                    this.italic = value;
                }
            }
            public System.Boolean IsHightlightNonVisible
            {
                get
                {
                    return this.highlightNonVisible;
                }
                set
                {
                    this.highlightNonVisible = value;
                }
            }
            public System.String Shortcut
            {
                get
                {
                    return this.shortcut;
                }
                set
                {
                    this.shortcut = value;
                }
            }

            internal GlobalSettings(System.Drawing.Color backgroundColor, System.Drawing.Color textColor, bool bold, bool italic, bool highlightNonVisible, System.String shortcut)
            {
                this.backColor = backgroundColor;
                this.textColor = textColor;
                this.bold = bold;
                this.italic = italic;
                this.highlightNonVisible = highlightNonVisible;
                this.shortcut = shortcut;
            }
        }
    }
}
