using System;
using System.Collections.Generic;
using System.Text;

namespace AddinExpress
{
    namespace AdvancedSearch
    {
        [Serializable]
        internal class Root
        {
            private string title;
            private List<Node> nodes;
            private WindowInfoTag windowInfoTag;

            public string Title
            {
                get
                {
                    return title;
                }
                set
                {
                    this.title = value;
                }
            }

            public List<Node> Nodes
            {
                get
                {
                    return nodes;
                }
                set
                {
                    this.nodes = value;
                }
            }

            public WindowInfoTag WindowInfo
            {
                get
                {
                    return windowInfoTag;
                }
                set
                {
                    this.windowInfoTag = value;
                }
            }

            public Root(string title, List<Node> nodes, WindowInfoTag windowInfo)
            {
                this.title = title;
                this.nodes = nodes;
                this.windowInfoTag = windowInfo;
            }
        }
    }
}
