Imports System.Globalization
Imports System.Drawing
Imports System.Text
Imports System.IO
Imports System.Windows.Forms

Namespace AdvancedSearch
    Public Class AdvancedSearchSettings
        Inherits System.Windows.Forms.Form

        Private Sub InitializeComponent()
            Me.tabGlobalOptions = New System.Windows.Forms.TabControl
            Me.tabCommon = New System.Windows.Forms.TabPage
            Me.labelVersion = New System.Windows.Forms.Label
            Me.label2 = New System.Windows.Forms.Label
            Me.comboBoxShortcuts = New System.Windows.Forms.ComboBox
            Me.label1 = New System.Windows.Forms.Label
            Me.tabTextOptions = New System.Windows.Forms.TabPage
            Me.groupBox1 = New System.Windows.Forms.GroupBox
            Me.panelTest = New System.Windows.Forms.Panel
            Me.lblTest = New System.Windows.Forms.Label
            Me.checkBold = New System.Windows.Forms.CheckBox
            Me.checkItalic = New System.Windows.Forms.CheckBox
            Me.btnChooseTextColor = New System.Windows.Forms.Button
            Me.btnChooseBackColor = New System.Windows.Forms.Button
            Me.panelTextColor = New System.Windows.Forms.Panel
            Me.panelBackColor = New System.Windows.Forms.Panel
            Me.lblTextColor = New System.Windows.Forms.Label
            Me.lblBackgroundColor = New System.Windows.Forms.Label
            Me.checkNonVisibleHighlight = New System.Windows.Forms.CheckBox
            Me.btnCancel = New System.Windows.Forms.Button
            Me.btnOk = New System.Windows.Forms.Button
            Me.colorBackDialog = New System.Windows.Forms.ColorDialog
            Me.colorTextDialog = New System.Windows.Forms.ColorDialog
            Me.tabGlobalOptions.SuspendLayout()
            Me.tabCommon.SuspendLayout()
            Me.tabTextOptions.SuspendLayout()
            Me.groupBox1.SuspendLayout()
            Me.panelTest.SuspendLayout()
            Me.SuspendLayout()
            '
            'tabGlobalOptions
            '
            Me.tabGlobalOptions.Controls.Add(Me.tabCommon)
            Me.tabGlobalOptions.Controls.Add(Me.tabTextOptions)
            Me.tabGlobalOptions.HotTrack = True
            Me.tabGlobalOptions.Location = New System.Drawing.Point(11, 8)
            Me.tabGlobalOptions.Multiline = True
            Me.tabGlobalOptions.Name = "tabGlobalOptions"
            Me.tabGlobalOptions.SelectedIndex = 0
            Me.tabGlobalOptions.Size = New System.Drawing.Size(327, 203)
            Me.tabGlobalOptions.TabIndex = 5
            '
            'tabCommon
            '
            Me.tabCommon.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Center
            Me.tabCommon.Controls.Add(Me.labelVersion)
            Me.tabCommon.Controls.Add(Me.label2)
            Me.tabCommon.Controls.Add(Me.comboBoxShortcuts)
            Me.tabCommon.Controls.Add(Me.label1)
            Me.tabCommon.Location = New System.Drawing.Point(4, 22)
            Me.tabCommon.Name = "tabCommon"
            Me.tabCommon.Size = New System.Drawing.Size(319, 177)
            Me.tabCommon.TabIndex = 1
            Me.tabCommon.Text = "General"
            Me.tabCommon.UseVisualStyleBackColor = True
            '
            'labelVersion
            '
            Me.labelVersion.Anchor = System.Windows.Forms.AnchorStyles.Right
            Me.labelVersion.BackColor = System.Drawing.Color.Transparent
            Me.labelVersion.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(204, Byte))
            Me.labelVersion.Location = New System.Drawing.Point(122, 52)
            Me.labelVersion.Name = "labelVersion"
            Me.labelVersion.Size = New System.Drawing.Size(191, 70)
            Me.labelVersion.TabIndex = 3
            Me.labelVersion.Text = "version"
            Me.labelVersion.TextAlign = System.Drawing.ContentAlignment.MiddleRight
            '
            'label2
            '
            Me.label2.AutoSize = True
            Me.label2.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(204, Byte))
            Me.label2.Location = New System.Drawing.Point(195, 153)
            Me.label2.Name = "label2"
            Me.label2.Size = New System.Drawing.Size(118, 16)
            Me.label2.TabIndex = 2
            Me.label2.Text = "All rights reserved."
            '
            'comboBoxShortcuts
            '
            Me.comboBoxShortcuts.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
            Me.comboBoxShortcuts.FormattingEnabled = True
            Me.comboBoxShortcuts.Location = New System.Drawing.Point(105, 3)
            Me.comboBoxShortcuts.Name = "comboBoxShortcuts"
            Me.comboBoxShortcuts.Size = New System.Drawing.Size(211, 21)
            Me.comboBoxShortcuts.Sorted = True
            Me.comboBoxShortcuts.TabIndex = 1
            '
            'label1
            '
            Me.label1.AutoSize = True
            Me.label1.Location = New System.Drawing.Point(6, 6)
            Me.label1.Name = "label1"
            Me.label1.Size = New System.Drawing.Size(93, 13)
            Me.label1.TabIndex = 0
            Me.label1.Text = "Keyboard shortcut"
            '
            'tabTextOptions
            '
            Me.tabTextOptions.Controls.Add(Me.groupBox1)
            Me.tabTextOptions.Controls.Add(Me.checkNonVisibleHighlight)
            Me.tabTextOptions.Location = New System.Drawing.Point(4, 22)
            Me.tabTextOptions.Name = "tabTextOptions"
            Me.tabTextOptions.Padding = New System.Windows.Forms.Padding(3)
            Me.tabTextOptions.Size = New System.Drawing.Size(319, 177)
            Me.tabTextOptions.TabIndex = 0
            Me.tabTextOptions.Text = "Visualization"
            Me.tabTextOptions.UseVisualStyleBackColor = True
            '
            'groupBox1
            '
            Me.groupBox1.Controls.Add(Me.panelTest)
            Me.groupBox1.Controls.Add(Me.checkBold)
            Me.groupBox1.Controls.Add(Me.checkItalic)
            Me.groupBox1.Controls.Add(Me.btnChooseTextColor)
            Me.groupBox1.Controls.Add(Me.btnChooseBackColor)
            Me.groupBox1.Controls.Add(Me.panelTextColor)
            Me.groupBox1.Controls.Add(Me.panelBackColor)
            Me.groupBox1.Controls.Add(Me.lblTextColor)
            Me.groupBox1.Controls.Add(Me.lblBackgroundColor)
            Me.groupBox1.Location = New System.Drawing.Point(6, 6)
            Me.groupBox1.Name = "groupBox1"
            Me.groupBox1.Size = New System.Drawing.Size(305, 142)
            Me.groupBox1.TabIndex = 1
            Me.groupBox1.TabStop = False
            Me.groupBox1.Text = "Highlight style"
            '
            'panelTest
            '
            Me.panelTest.Controls.Add(Me.lblTest)
            Me.panelTest.Location = New System.Drawing.Point(177, 53)
            Me.panelTest.Name = "panelTest"
            Me.panelTest.Size = New System.Drawing.Size(99, 68)
            Me.panelTest.TabIndex = 8
            '
            'lblTest
            '
            Me.lblTest.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
            Me.lblTest.Dock = System.Windows.Forms.DockStyle.Fill
            Me.lblTest.Location = New System.Drawing.Point(0, 0)
            Me.lblTest.Name = "lblTest"
            Me.lblTest.Size = New System.Drawing.Size(99, 68)
            Me.lblTest.TabIndex = 0
            Me.lblTest.Text = "test"
            Me.lblTest.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
            '
            'checkBold
            '
            Me.checkBold.AutoSize = True
            Me.checkBold.Location = New System.Drawing.Point(177, 19)
            Me.checkBold.Name = "checkBold"
            Me.checkBold.Size = New System.Drawing.Size(47, 17)
            Me.checkBold.TabIndex = 0
            Me.checkBold.Text = "Bold"
            Me.checkBold.UseVisualStyleBackColor = True
            '
            'checkItalic
            '
            Me.checkItalic.AutoSize = True
            Me.checkItalic.Location = New System.Drawing.Point(242, 19)
            Me.checkItalic.Name = "checkItalic"
            Me.checkItalic.Size = New System.Drawing.Size(48, 17)
            Me.checkItalic.TabIndex = 1
            Me.checkItalic.Text = "Italic"
            Me.checkItalic.UseVisualStyleBackColor = True
            '
            'btnChooseTextColor
            '
            Me.btnChooseTextColor.Location = New System.Drawing.Point(121, 113)
            Me.btnChooseTextColor.Name = "btnChooseTextColor"
            Me.btnChooseTextColor.Size = New System.Drawing.Size(29, 23)
            Me.btnChooseTextColor.TabIndex = 7
            Me.btnChooseTextColor.Text = "..."
            Me.btnChooseTextColor.UseVisualStyleBackColor = True
            '
            'btnChooseBackColor
            '
            Me.btnChooseBackColor.Location = New System.Drawing.Point(121, 53)
            Me.btnChooseBackColor.Name = "btnChooseBackColor"
            Me.btnChooseBackColor.Size = New System.Drawing.Size(29, 23)
            Me.btnChooseBackColor.TabIndex = 6
            Me.btnChooseBackColor.Text = "..."
            Me.btnChooseBackColor.UseVisualStyleBackColor = True
            '
            'panelTextColor
            '
            Me.panelTextColor.Location = New System.Drawing.Point(9, 94)
            Me.panelTextColor.Name = "panelTextColor"
            Me.panelTextColor.Size = New System.Drawing.Size(106, 42)
            Me.panelTextColor.TabIndex = 5
            '
            'panelBackColor
            '
            Me.panelBackColor.Location = New System.Drawing.Point(9, 32)
            Me.panelBackColor.Name = "panelBackColor"
            Me.panelBackColor.Size = New System.Drawing.Size(106, 44)
            Me.panelBackColor.TabIndex = 4
            '
            'lblTextColor
            '
            Me.lblTextColor.AutoSize = True
            Me.lblTextColor.Location = New System.Drawing.Point(6, 79)
            Me.lblTextColor.Name = "lblTextColor"
            Me.lblTextColor.Size = New System.Drawing.Size(57, 13)
            Me.lblTextColor.TabIndex = 3
            Me.lblTextColor.Text = "Text color:"
            '
            'lblBackgroundColor
            '
            Me.lblBackgroundColor.AutoSize = True
            Me.lblBackgroundColor.Location = New System.Drawing.Point(6, 16)
            Me.lblBackgroundColor.Name = "lblBackgroundColor"
            Me.lblBackgroundColor.Size = New System.Drawing.Size(94, 13)
            Me.lblBackgroundColor.TabIndex = 2
            Me.lblBackgroundColor.Text = "Background color:"
            '
            'checkNonVisibleHighlight
            '
            Me.checkNonVisibleHighlight.AutoSize = True
            Me.checkNonVisibleHighlight.Location = New System.Drawing.Point(6, 154)
            Me.checkNonVisibleHighlight.Name = "checkNonVisibleHighlight"
            Me.checkNonVisibleHighlight.Size = New System.Drawing.Size(137, 17)
            Me.checkNonVisibleHighlight.TabIndex = 3
            Me.checkNonVisibleHighlight.Text = "Highlight nonvisible text"
            Me.checkNonVisibleHighlight.UseVisualStyleBackColor = True
            '
            'btnCancel
            '
            Me.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel
            Me.btnCancel.Location = New System.Drawing.Point(263, 215)
            Me.btnCancel.Name = "btnCancel"
            Me.btnCancel.Size = New System.Drawing.Size(75, 23)
            Me.btnCancel.TabIndex = 4
            Me.btnCancel.Text = "Cancel"
            Me.btnCancel.UseVisualStyleBackColor = True
            '
            'btnOk
            '
            Me.btnOk.DialogResult = System.Windows.Forms.DialogResult.OK
            Me.btnOk.Location = New System.Drawing.Point(182, 215)
            Me.btnOk.Name = "btnOk"
            Me.btnOk.Size = New System.Drawing.Size(75, 23)
            Me.btnOk.TabIndex = 3
            Me.btnOk.Text = "Ok"
            Me.btnOk.UseVisualStyleBackColor = True
            '
            'colorBackDialog
            '
            Me.colorBackDialog.AllowFullOpen = False
            Me.colorBackDialog.Color = System.Drawing.Color.Transparent
            Me.colorBackDialog.SolidColorOnly = True
            '
            'colorTextDialog
            '
            Me.colorTextDialog.AllowFullOpen = False
            Me.colorTextDialog.SolidColorOnly = True
            '
            'AdvancedSearchSettings
            '
            Me.ClientSize = New System.Drawing.Size(349, 245)
            Me.Controls.Add(Me.tabGlobalOptions)
            Me.Controls.Add(Me.btnCancel)
            Me.Controls.Add(Me.btnOk)
            Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
            Me.HelpButton = True
            Me.MaximizeBox = False
            Me.MinimizeBox = False
            Me.Name = "AdvancedSearchSettings"
            Me.ShowInTaskbar = False
            Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent
            Me.Text = "Advanced Search settings"
            Me.tabGlobalOptions.ResumeLayout(False)
            Me.tabCommon.ResumeLayout(False)
            Me.tabCommon.PerformLayout()
            Me.tabTextOptions.ResumeLayout(False)
            Me.tabTextOptions.PerformLayout()
            Me.groupBox1.ResumeLayout(False)
            Me.groupBox1.PerformLayout()
            Me.panelTest.ResumeLayout(False)
            Me.ResumeLayout(False)

        End Sub
        Private WithEvents tabGlobalOptions As System.Windows.Forms.TabControl
        Private WithEvents tabCommon As System.Windows.Forms.TabPage
        Private WithEvents labelVersion As System.Windows.Forms.Label
        Private WithEvents label2 As System.Windows.Forms.Label
        Private WithEvents comboBoxShortcuts As System.Windows.Forms.ComboBox
        Private WithEvents label1 As System.Windows.Forms.Label
        Private WithEvents tabTextOptions As System.Windows.Forms.TabPage
        Private WithEvents groupBox1 As System.Windows.Forms.GroupBox
        Private WithEvents panelTest As System.Windows.Forms.Panel
        Private WithEvents lblTest As System.Windows.Forms.Label
        Private WithEvents checkBold As System.Windows.Forms.CheckBox
        Private WithEvents checkItalic As System.Windows.Forms.CheckBox
        Private WithEvents btnChooseTextColor As System.Windows.Forms.Button
        Private WithEvents btnChooseBackColor As System.Windows.Forms.Button
        Private WithEvents panelTextColor As System.Windows.Forms.Panel
        Private WithEvents panelBackColor As System.Windows.Forms.Panel
        Private WithEvents lblTextColor As System.Windows.Forms.Label
        Private WithEvents lblBackgroundColor As System.Windows.Forms.Label
        Private WithEvents checkNonVisibleHighlight As System.Windows.Forms.CheckBox
        Private WithEvents btnCancel As System.Windows.Forms.Button
        Private WithEvents btnOk As System.Windows.Forms.Button
        Private WithEvents colorBackDialog As System.Windows.Forms.ColorDialog
        Private WithEvents colorTextDialog As System.Windows.Forms.ColorDialog

        Private _settings As GlobalSettings
        Friend Sub New(ByVal _settings As GlobalSettings)
            Me._settings = _settings
            InitializeComponent()
            InitializeSettings()
            InitializeGUI()
        End Sub
        Private Sub InitializeGUI()
            Dim c As Char = CChar(" ")
            Dim adxCulture As CultureInfo = CultureInfo.InvariantCulture
            Me.comboBoxShortcuts.BeginUpdate()
            Me.comboBoxShortcuts.Items.Add("(none)")
            For i As Integer = 48 To 90
                c = Convert.ToChar(i)
                If (Char.IsLetter(c)) Then
                    Me.comboBoxShortcuts.Items.Add("Ctrl+" + Char.ToUpper(c, adxCulture))
                    Me.comboBoxShortcuts.Items.Add("Shift+" + Char.ToUpper(c, adxCulture))
                    Me.comboBoxShortcuts.Items.Add("Ctrl+Shift+" + Char.ToUpper(c, adxCulture))
                ElseIf (Char.IsDigit(c)) Then
                    Me.comboBoxShortcuts.Items.Add("Ctrl+D" + Char.ToUpper(c, adxCulture))
                    Me.comboBoxShortcuts.Items.Add("Shift+D" + Char.ToUpper(c, adxCulture))
                    Me.comboBoxShortcuts.Items.Add("Ctrl+Shift+D" + Char.ToUpper(c, adxCulture))
                End If
            Next
            For j As Integer = 1 To 12
                Me.comboBoxShortcuts.Items.Add("Ctrl+F" + j.ToString())
                Me.comboBoxShortcuts.Items.Add("Shift+F" + j.ToString())
                Me.comboBoxShortcuts.Items.Add("Ctrl+Shift+F" + j.ToString())
            Next
            Me.AddAdditionalShortcuts("Ctrl")
            Me.AddAdditionalShortcuts("Shift")
            Me.AddAdditionalShortcuts("Ctrl+Shift")
            Me.comboBoxShortcuts.SelectedItem = _settings.Shortcut
            Me.comboBoxShortcuts.EndUpdate()
            labelVersion.Text = "Advanced search for " + Environment.NewLine + "Internet Explorer" + Environment.NewLine + "ver." + System.Reflection.Assembly.GetExecutingAssembly().GetName().Version.ToString()
        End Sub
        Private Sub AddAdditionalShortcuts(ByVal extension As String)
            Me.comboBoxShortcuts.Items.Add(extension + "+Insert")
            Me.comboBoxShortcuts.Items.Add(extension + "+Delete")
            Me.comboBoxShortcuts.Items.Add(extension + "+Back")
            Me.comboBoxShortcuts.Items.Add(extension + "+Divide")
            Me.comboBoxShortcuts.Items.Add(extension + "+Multiply")
            Me.comboBoxShortcuts.Items.Add(extension + "+Subtract")
            Me.comboBoxShortcuts.Items.Add(extension + "+Clear")
            Me.comboBoxShortcuts.Items.Add(extension + "+Add")
            Me.comboBoxShortcuts.Items.Add(extension + "+Escape")
            Me.comboBoxShortcuts.Items.Add(extension + "+Space")
            Me.comboBoxShortcuts.Items.Add(extension + "+LWin")
            Me.comboBoxShortcuts.Items.Add(extension + "+RWin")
            Me.comboBoxShortcuts.Items.Add(extension + "+Apps")
            Me.comboBoxShortcuts.Items.Add(extension + "+NumLock")
            Me.comboBoxShortcuts.Items.Add(extension + "+Up")
            Me.comboBoxShortcuts.Items.Add(extension + "+Down")
            Me.comboBoxShortcuts.Items.Add(extension + "+Right")
            Me.comboBoxShortcuts.Items.Add(extension + "+Left")
            Me.comboBoxShortcuts.Items.Add(extension + "+Home")
            Me.comboBoxShortcuts.Items.Add(extension + "+End")
            Me.comboBoxShortcuts.Items.Add(extension + "+Pause")
            Me.comboBoxShortcuts.Items.Add(extension + "+Cancel")
            Me.comboBoxShortcuts.Items.Add(extension + "+Prior")
            Me.comboBoxShortcuts.Items.Add(extension + "+Next")
            Me.comboBoxShortcuts.Items.Add(extension + "+Oemtilde")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemMinus")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemPlus")
            Me.comboBoxShortcuts.Items.Add(extension + "+Oemcomma")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemPeriod")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemQuestion")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemPipe")
            Me.comboBoxShortcuts.Items.Add(extension + "+Enter")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemSemicolon")
            Me.comboBoxShortcuts.Items.Add(extension + "+OemQuotes")
        End Sub
        Private Sub InitializeSettings()
            Me.panelBackColor.BackColor = _settings.BackgroundColor
            Me.panelTextColor.BackColor = _settings.TextColor
            Me.checkBold.Checked = _settings.IsBold
            Me.checkItalic.Checked = _settings.IsItalic
            Me.checkNonVisibleHighlight.Checked = _settings.IsHightlightNonVisible
            Me.lblTest.ForeColor = _settings.TextColor
            Me.lblTest.BackColor = _settings.BackgroundColor
            Me.comboBoxShortcuts.SelectedItem = _settings.Shortcut
        End Sub

        Private Sub btnChooseBackColor_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnChooseBackColor.Click
            If (colorBackDialog.ShowDialog() = DialogResult.OK) Then
                panelBackColor.BackColor = colorBackDialog.Color
                lblTest.BackColor = colorBackDialog.Color
            End If
        End Sub

        Private Sub btnChooseTextColor_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnChooseTextColor.Click
            Dim dialog As ColorDialog = New ColorDialog()
            If (dialog.ShowDialog() = DialogResult.OK) Then
                panelTextColor.BackColor = dialog.Color
                lblTest.ForeColor = dialog.Color
            End If
        End Sub
        Private Sub checkBold_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles checkBold.CheckedChanged
            If (checkBold.Checked) Then
                lblTest.Font = New Font(lblTest.Font, lblTest.Font.Style Or FontStyle.Bold)
            Else
                lblTest.Font = New Font(lblTest.Font, lblTest.Font.Style Xor FontStyle.Bold)
            End If
        End Sub
        Private Sub checkItalic_CheckedChanged(ByVal sender As Object, ByVal e As EventArgs) Handles checkItalic.CheckedChanged
            If (checkItalic.Checked) Then
                lblTest.Font = New Font(lblTest.Font, lblTest.Font.Style Or FontStyle.Italic)
            Else
                lblTest.Font = New Font(lblTest.Font, lblTest.Font.Style Xor FontStyle.Italic)
            End If
        End Sub

        Public Sub SynchronizeSettings()
            _settings.BackgroundColor = Me.panelBackColor.BackColor
            _settings.TextColor = Me.panelTextColor.BackColor
            _settings.IsBold = Me.checkBold.Checked
            _settings.IsItalic = Me.checkItalic.Checked
            _settings.IsHightlightNonVisible = Me.checkNonVisibleHighlight.Checked
            _settings.Shortcut = CType(comboBoxShortcuts.SelectedItem, String)
        End Sub
        Public Sub DiscardSettings()
            checkBold.Checked = _settings.IsBold
            checkItalic.Checked = _settings.IsItalic
            checkNonVisibleHighlight.Checked = _settings.IsHightlightNonVisible
            panelBackColor.BackColor = _settings.BackgroundColor
            panelTextColor.BackColor = _settings.TextColor
            panelTest.BackColor = _settings.BackgroundColor
            lblTest.BackColor = _settings.BackgroundColor
            lblTest.ForeColor = _settings.TextColor
            comboBoxShortcuts.SelectedItem = _settings.Shortcut
        End Sub
    End Class
End Namespace
