Namespace AdvancedSearch
    <Serializable()> _
    Public Class Node
        Private _innerText As String
        Private _htmlTag As HtmlInfoTag
        Private _position As Integer
        Private _toolTipText As String

        Public Sub New(ByVal innerText As String, ByVal toolTipText As String, ByVal position As Integer, ByVal htmlTag As HtmlInfoTag)
            Me._htmlTag = htmlTag
            Me._innerText = innerText
            Me._position = position
        End Sub

        Public Property InnerText() As String
            Get
                Return _innerText
            End Get
            Set(ByVal value As String)
                Me._innerText = value
            End Set
        End Property

        Public Property ToolTipText() As String
            Get
                Return _toolTipText
            End Get
            Set(ByVal value As String)
                Me._toolTipText = value
            End Set
        End Property

        Public Property Position() As Integer
            Get
                Return _position
            End Get
            Set(ByVal value As Integer)
                Me._position = value
            End Set
        End Property

        Public Property HtmlTag() As HtmlInfoTag
            Get
                Return _htmlTag
            End Get
            Set(ByVal value As HtmlInfoTag)
                Me._htmlTag = value
            End Set
        End Property

    End Class
End Namespace

