Imports System.Collections.Generic

Namespace AdvancedSearch
    <Serializable()> _
    Public Class Root
        Private _title As String
        Private _nodes As List(Of Node)
        Private _windowInfoTag As WindowInfoTag

        Public Sub New(ByVal title As String, ByVal nodes As List(Of Node), ByVal windowInfo As WindowInfoTag)
            Me._title = title
            Me._nodes = nodes
            Me._windowInfoTag = windowInfo
        End Sub

        Public Property Title() As String
            Get
                Return Me._title
            End Get
            Set(ByVal value As String)
                Me._title = value
            End Set
        End Property

        Public Property Nodes() As List(Of Node)
            Get
                Return Me._nodes
            End Get
            Set(ByVal value As List(Of Node))
                Me._nodes = value
            End Set
        End Property

        Public Property WindowInfo() As WindowInfoTag
            Get
                Return Me._windowInfoTag
            End Get
            Set(ByVal value As WindowInfoTag)
                Me._windowInfoTag = value
            End Set
        End Property

    End Class
End Namespace

